{
  description = "Environnement de développement pour des modules noyaux Linux";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = {
    nixpkgs,
    flake-utils,
    ...
  }: flake-utils.lib.eachSystem flake-utils.lib.allSystems (system:
    let
      pkgs = import nixpkgs { inherit system; };

      linux = pkgs.linuxKernel.kernels.linux_zen;
    in {
      devShells = {
        default = pkgs.mkShell {
          packages = [ linux.moduleBuildDependencies ];

          LINUX_MODULES_FOLDER = "${linux.dev}/lib/modules/${linux.modDirVersion}";
          C_INCLUDE_PATH = "${linux.dev}/lib/modules/${linux.modDirVersion}/source/include";

          shellHook = ''
            echo "Current Linux Kernel used : ${linux.version}"
          '';
        };
      };
    }
  );
}
